##
## Process this file with automake to produce Makefile.in
##
## CVS ID: "$Id: Makefile.am,v 1.23 2006/09/27 16:01:31 marcs Exp $"
##
lib_LTLIBRARIES	= liblexicon.la

include_HEADERS	= lexicon.h \
		  lexicon_input.h \
		  lexicon_search.h \
		  lxcn_vocabulary.h

liblexicon_la_SOURCES = lexicon.h \
			lexicon_input.c \
			lexicon_reading.c \
			lexicon_search.h lexicon_search.c \
			lxcn_vocabulary.h lxcn_vocabulary.c

VERSION_FLAGS = $(subst .,:,$(VERSION))

liblexicon_la_LDFLAGS = -version-info $(VERSION_FLAGS)

liblexicon_la_CFLAGS = @DBG_OPT@ @DEBUG_LEX_OPT@ -Wall $(AM_CFLAGS)

INCLUDES = -I$(top_srcdir)/libabase/src

EXTRA_DIST = Makefile.cygwin

## Conditionally generate local test program
EXTRA_PROGRAMS = lxcn_test

lxcn_test_SOURCES = lxcn_test.c

lxcn_test_DEPENDENCIES = liblexicon.la ../../libabase/src/libabase.la

lxcn_test_LDADD = liblexicon.la ../../libabase/src/libabase.la

test: $(EXTRA_PROGRAMS)

CLEANFILES = $(EXTRA_PROGRAMS)
